# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['cme',
 'cme.helpers',
 'cme.loaders',
 'cme.modules',
 'cme.parsers',
 'cme.protocols',
 'cme.protocols.ldap',
 'cme.protocols.mssql',
 'cme.protocols.smb',
 'cme.protocols.ssh',
 'cme.protocols.winrm',
 'cme.servers']

package_data = \
{'': ['*'], 'cme': ['data/*']}

install_requires = \
['aioconsole>=0.3.1,<0.4.0',
 'bs4>=0.0.1,<0.0.2',
 'impacket>=0.9.22,<0.10.0',
 'lsassy>=3.0.0',
 'msgpack>=1.0.0,<2.0.0',
 'neo4j>=4.1.1,<5.0.0',
 'paramiko>=2.7.2,<3.0.0',
 'pylnk3>=0.3.0,<0.4.0',
 'pypsrp>=0.5.0,<0.6.0',
 'pywerview>=0.3.0,<0.4.0',
 'requests-ntlm>=0.3.0',
 'requests>=2.9.1',
 'termcolor>=1.1.0,<2.0.0',
 'terminaltables>=3.1.0,<4.0.0',
 'xmltodict>=0.12.0,<0.13.0']

entry_points = \
{'console_scripts': ['cme = cme.crackmapexec:main',
                     'cmedb = cme.cmedb:main',
                     'crackmapexec = cme.crackmapexec:main']}

setup_kwargs = {
    'name': 'crackmapexec',
    'version': '5.1.9',
    'description': 'A swiss army knife for pentesting networks',
    'long_description': '![Supported Python versions](https://img.shields.io/badge/python-3.7+-blue.svg) [![Twitter](https://img.shields.io/twitter/follow/byt3bl33d3r?label=byt3bl33d3r&style=social)](https://twitter.com/intent/follow?screen_name=byt3bl33d3r) [![Twitter](https://img.shields.io/twitter/follow/mpgn_x64?label=mpgn_x64&style=social)](https://twitter.com/intent/follow?screen_name=mpgn_x64)\n\n:triangular_flag_on_post: This is the public repository of CrackMapExec, for latest version and updates please consider supporting us through https://porchetta.industries/\n\n# CrackMapExec\n\n<p align="center">\n  <img src="https://cloud.githubusercontent.com/assets/5151193/17577511/d312ceb4-5f3b-11e6-8de5-8822246289fd.jpg" alt="cme"/>\n</p>\n\n\n## In partnership with\n\n<p align="center"><img height=150 width=300 src="https://user-images.githubusercontent.com/5151193/99304058-1cef5700-280f-11eb-8642-1f9553808d2d.png"/></p>\n\n## :triangular_flag_on_post: Sponsors\n\nIf you want to sponsors this project and have the latest updates on CME, latest issues fixed, latest features, please support us on https://porchetta.industries/\n\n## Official Discord Channel\n\nCome hang out on Discord!\n\n[![Porchetta Industries](https://discordapp.com/api/guilds/736724457258745996/widget.png?style=banner3)](https://discord.gg/ycGXUxy)\n\n# Acknowledgments\n**(These are the people who did the hard stuff)**\n\nThis project was originally inspired by:\n- [CredCrack](https://github.com/gojhonny/CredCrack)\n- [smbexec](https://github.com/pentestgeek/smbexec)\n- [smbmap](https://github.com/ShawnDEvans/smbmap)\n\nUnintentional contributors:\n\n- The [Empire](https://github.com/PowerShellEmpire/Empire) project\n- @T-S-A\'s [smbspider](https://github.com/T-S-A/smbspider) script\n- @ConsciousHacker\'s partial Python port of Invoke-obfuscation from the [GreatSCT](https://github.com/GreatSCT/GreatSCT) project\n\nThis repository contains the following repositories as submodules:\n- [Impacket](https://github.com/CoreSecurity/impacket) ♥️\n- [Invoke-Obfuscation](https://github.com/danielbohannon/Invoke-Obfuscation)\n- [Invoke-Vnc](https://github.com/artkond/Invoke-Vnc)\n- [Mimikittenz](https://github.com/putterpanda/mimikittenz)\n- [Mimipenguin](https://github.com/huntergregal/mimipenguin)\n- [NetRipper](https://github.com/NytroRST/NetRipper)\n- [PowerSploit](https://github.com/PowerShellMafia/PowerSploit)\n- [Pypsrp](https://github.com/jborean93/pypsrp)\n- [Pywerview](https://github.com/the-useless-one/pywerview)\n- [RandomPS-Scripts](https://github.com/xorrior/RandomPS-Scripts)\n- [RID-Hijacking](https://github.com/r4wd3r/RID-Hijacking)\n- [SessionGopher](https://github.com/fireeye/SessionGopher)\n\n# Documentation, Tutorials, Examples\nSee the project\'s [wiki](https://github.com/byt3bl33d3r/CrackMapExec/wiki) for documentation and usage examples\n\n# Installation\nPlease see the installation wiki page [here](https://github.com/byt3bl33d3r/CrackMapExec/wiki/Installation) or the [GitBook](https://mpgn.gitbook.io/crackmapexec/)\n\n# To do\n- ~~0wn everything~~\n',
    'author': 'Marcello Salvati',
    'author_email': 'byt3bl33d3r@pm.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/byt3bl33d3r/CrackMapExec',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7.0,<4.0.0',
}


setup(**setup_kwargs)
